# Class default

- Defined in api/src/Search.js:34

#####
Index

### Constructors

constructor

### Properties

autocomplete_
format_
source_
url_
view_

### Methods

getResultValue_
hasGeometry_
onSubmit_
search_

## Constructors

### constructor

- new default(options): default

- #### Parameters

  - options: SearchOptions

    API options.

  #### Returns default

  - Defined in api/src/Search.js:38

## Properties

### autocomplete_

autocomplete_: any

- Defined in api/src/Search.js:54

### format_

format_: GeoJSON

- Defined in api/src/Search.js:39

### source_

source_: VectorSource<unknown>

- Defined in api/src/Search.js:43

### url_

url_: URL

- Defined in api/src/Search.js:41

### view_

view_: View

- Defined in api/src/Search.js:45

## Methods

### getResultValue_

- getResultValue_(result): string

- #### Parameters

  - result: Feature<Geometry, {
    [name: string]: any;
    }>

  #### Returns string

  - Defined in api/src/Search.js:91

### hasGeometry_

- hasGeometry_(feature): boolean

- #### Parameters

  - feature: Feature<Geometry, {
    [name: string]: any;
    }>

  #### Returns boolean

  - Defined in api/src/Search.js:83

### onSubmit_

- onSubmit_(result): void

- #### Parameters

  - result: Feature<Geometry, {
    [name: string]: any;
    }>

  #### Returns void

  - Defined in api/src/Search.js:98

### search_

- search_(input): Promise<Feature<Geometry, {
  [name: string]: any;
  }>[]>

- #### Parameters

  - input: string

  #### Returns Promise<Feature<Geometry, {
  [name: string]: any;
  }>[]>

  - Defined in api/src/Search.js:65

Generated using TypeDoc